# Class FontParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.AbstractChoiceParameter<String,String>
uk.ac.starlink.task.ChoiceParameter<String>
uk.ac.starlink.ttools.plottask.StyleParameter<String>
uk.ac.starlink.ttools.plottask.FontParameter

public class FontParameter extends StyleParameter<String>
Parameter for font selection.

Since:
  12 Aug 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`FontParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Font`
`fontValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a font.
`uk.ac.starlink.task.Parameter<?>[]`
`getAssociatedParameters()`
Returns parameters associated with this one which select other font characteristics.

### Methods inherited from class StyleParameter

`getOptionList, getUsage, setUsage, stringifyOption`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`objectToString, setDefaultOption, stringToObject`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FontParameter

public FontParameter(String name)
Constructor.

Parameters:
  `name` - parameter base name

## Method Details

### getAssociatedParameters

public uk.ac.starlink.task.Parameter<?>[] getAssociatedParameters()
Returns parameters associated with this one which select other font characteristics.

Returns:
  array of font parameters

### fontValue

public Font fontValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a font.

Parameters:
  `env` - execution environment
Returns:
  font
Throws:
  `uk.ac.starlink.task.TaskException`